Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031884
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminoralways2016-01-12 18:502016-01-15 11:20
ReportermalsasuaView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revisionb3ed6a52578f
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-03-05
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/a652f7e46643 [^]
Triggers an Emergency PackNo
Summary

0031884: the trees in the application can not be updated when preference "Use classic popup tree" is enabled

Descriptionwhen a tree is displayed in classic mode (adding the preference "Use classic popup tree"), it can not be modified: if you move one element from one parent to other parent, and you close and open again the tree, the change has not been applied
Steps To Reproduce. configure the preference "Use classic popup tree"
. go to window "product category"
. create new record:
  . name: test
  . is summary: Y
. click in tree button
. move the product category "Bio" inside of "test" node
. close the popup
. open tree again
the element "Bio" is not displayed inside of "test" node
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0031867 closedcaristu the trees in the application can not be updated when preference "Use classic popup tree" is enabled 

-  Notes
(0083281)
hgbot (developer)
2016-01-14 10:58

Repository: erp/backports/3.0PR16Q1
Changeset: b3ed6a52578fa277f68a01e0e557afedb6daa064
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jan 14 10:57:56 2016 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR16Q1/rev/b3ed6a52578fa277f68a01e0e557afedb6daa064 [^]

fixes issue 31884: can not move tree nodes in classic mode

When moving tree nodes using the classic mode there is a point where the process tries to recover the tree type. This information is stored in the ADTable entity which can not be accessed by non system roles. To prevent this error now the part where the tree type is recovered is executed using the DAL admin mode.

---
M src/org/openbravo/erpCommon/utility/WindowTree.java
---
(0083329)
hgbot (developer)
2016-01-15 09:58

Repository: erp/backports/3.0PR16Q1
Changeset: 5818acec4d6107cccafdcfbdea9f3fe1947ddbde
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Jan 15 09:55:06 2016 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR16Q1/rev/5818acec4d6107cccafdcfbdea9f3fe1947ddbde [^]

related to issue 31884: code review improvement

---
M src/org/openbravo/erpCommon/utility/WindowTree.java
---
(0083337)
alostale (developer)
2016-01-15 11:20

code reviewed + tested

- Issue History
Date Modified Username Field Change
2016-01-14 10:26 caristu Type defect => backport
2016-01-14 10:26 caristu Target Version => 3.0PR16Q1
2016-01-14 10:58 hgbot Checkin
2016-01-14 10:58 hgbot Note Added: 0083281
2016-01-14 10:58 hgbot Status scheduled => resolved
2016-01-14 10:58 hgbot Resolution open => fixed
2016-01-14 10:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q1/rev/b3ed6a52578fa277f68a01e0e557afedb6daa064 [^]
2016-01-15 09:58 hgbot Checkin
2016-01-15 09:58 hgbot Note Added: 0083329
2016-01-15 11:20 alostale Review Assigned To => alostale
2016-01-15 11:20 alostale Note Added: 0083337
2016-01-15 11:20 alostale Status resolved => closed
2016-01-15 11:20 alostale Fixed in Version => 3.0PR16Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker